Search Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

Can't open Firefox - error re "platform version '120.0.1'

  • 2 replies
  • 17 have this problem
  • 86 views
  • Last reply by Julie

more options

Hello,

Clicking to open Firefox gives me the following error message:

Error. Platform version '120.0.1' is not compatible with miniVersion >= 120.0 maxVersion <= 120.0

Can't open firefox! I'm running Windows 11 version 10.0.22631 Build 22631

Thanks! Julie

Hello, Clicking to open Firefox gives me the following error message: Error. Platform version '120.0.1' is not compatible with miniVersion >= 120.0 maxVersion <= 120.0 Can't open firefox! I'm running Windows 11 version 10.0.22631 Build 22631 Thanks! Julie

Chosen solution

Hello. It seems that you have a mixture of old and new files. I suggest that you remove Firefox and reinstall it. You may want to consider a 'custom' installation.

https://support.mozilla.org/en-US/kb/uninstall-firefox-from-your-computer https://support.mozilla.org/en-US/kb/custom-installation-firefox-on-windows

Read this answer in context 👍 2

All Replies (2)

more options

Chosen Solution

Hello. It seems that you have a mixture of old and new files. I suggest that you remove Firefox and reinstall it. You may want to consider a 'custom' installation.

https://support.mozilla.org/en-US/kb/uninstall-firefox-from-your-computer https://support.mozilla.org/en-US/kb/custom-installation-firefox-on-windows

Helpful?

more options

Thank you! Odd that it suddenly happened.

Appreciate your suggestion.

Helpful?

Ask a question

You must log in to your account to reply to posts. Please start a new question, if you do not have an account yet.